Bug 782140 - [webadmin] a drop-down that contains only one option, should be disabled/hidden/shown as a label/?...
[webadmin] a drop-down that contains only one option, should be disabled/hidd...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Einav Cohen
ux
: EasyFix, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-16 11:10 EST by james labocki
Modified: 2012-12-20 02:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 02:33:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2012-01-16 11:10:03 EST
Description of problem:
If a user creates a new virtual machine from a template that is using a pre-allocated disk in the "resource allocation" section the only option for the "disk" when "clone" is selected for "provisioning" is "preallocated". There should not be a dropdown list if the only option is "preallocated". 

On a side note, the "create new virtual machine" dialogue "resource allocation" section should show the details of the template disk so a user knows what template/disk they are using as a basis for the VM.
Comment 1 Einav Cohen 2012-02-02 05:53:21 EST
Since behaviour across the application should remain consistent, general question is: when a drop-down contains only one option, should it be disabled/hidden/shown as a label/etc. -> changing the subject accordingly.
Comment 2 Yaniv Kaul 2012-02-02 06:06:15 EST
(In reply to comment #1)
> Since behaviour across the application should remain consistent, general
> question is: when a drop-down contains only one option, should it be
> disabled/hidden/shown as a label/etc. -> changing the subject accordingly.

I think it really depends if you want the user to be informed about the choice we've made for him or not.
An example where it's useless: when you have two hosts (the minimum for migration - but also very popular in POCs), and you migrate a VM from one hosts - there's really no use of asking to which host you'd like to migrate to - you are going to migrate from host 1 to host 2. Therefore, the whole dialog should not even pop up.

It also matters if it's something that can be somehow changed later on or not.
So we need to set guidelines, and treat each specific case separately, probably.
Comment 3 Itamar Heim 2012-12-20 02:33:34 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.